Bug 30849 - news/nntpcache fails compiling authinfo_pam.c, add radius & ldap auth mechanisms.
news/nntpcache fails compiling authinfo_pam.c, add radius & ldap auth mechani...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-26 19:50 UTC by hetzels
Modified: 2002-07-07 09:57 UTC (History)
0 users

See Also:


Attachments
file.diff (3.40 KB, patch)
2001-09-26 19:50 UTC, hetzels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hetzels 2001-09-26 19:50:01 UTC
When compiling NNTPCache, I get the following error when compiling
authinfo_pam.c:

cc -DHAVE_CONFIG_H -I. -I. -I.. -I../cf         -I../common     -I../libproff
   -I../libconfused        -I../mmap       -I../libmmalloc    -I../libdbz
   -I/usr/local/include -I/usr/local/include  -O -pipe  -Wall -pipe -ci
   authinfo_pam.c
In file included from /usr/include/security/pam_misc.h:24,
                 from authinfo_pam.c:18:
/usr/include/security/_pam_macros.h:13: syntax error before `('
gmake: *** [authinfo_pam.o] Error 1

Fix: The fix is to place a #ifndef __FreeBSD__ .. #endif arround
<security/pam_misc.h> in authinfo_pam.c.

The attached patch corrects this problem, and adds additional authentication
functionality to the nntpcache port (RADIUS, LDAP[v1,v2]).

    Changed files:         Makefile

    New files:             files/patch-src-authinfo_ldap.c
                           files/patch-src-authinfo_pam.c

    Removed files:         files/patch-src-authinfo_pam.ext

files/patch-src-authinfo_pam.ext removed due to a post-configure target is
added to the Makefile that recreates the authinfo_[pam,radius,ldap].ext files.
How-To-Repeat: 
Try to build news/nntpcache on FreeBSD 4.x.
Comment 1 Dirk Meyer freebsd_committer 2002-03-30 10:14:57 UTC
State Changed
From-To: open->closed

Committed, Thanks.